<?php namespace App\Http\Controllers;

use Auth;
use Session;
class FileuploaderController extends Controller {
	
	/*
	|--------------------------------------------------------------------------
	| Profile Controller
	|--------------------------------------------------------------------------
	|
	|
	*/

	/**
	 * Profile controller instance.
	 *
	 * @return void
	 */
	public function __construct()
	{
		$this->middleware('auth');
                if(!Session::get('auth_selected_profile')) {
                                return Redirect::to('profile/step1')->with('succ_msg', 'Please Create atleast one profile')->send(); 
                             }
		
	}

	public function move($file_obj, $move_to, $new_name)
	{
		$file_obj->move($move_to, $new_name);
	}
}